#!/usr/bin/env bash
# Wed 17 Aug 2016 13:50:29 CEST

set -e

if [ "${#}" != 4 ]; then
  p=`basename $0`
  echo "usage: ${p} <basedir> <name> <python-version> <bob-devel-version>"
  echo "example: ${p} /opt/conda bob-devel-py35 3.5 2017.06.20"
  exit 1
fi

BASEDIR=$1
NAME=$2
PYTHON_VERSION=$3
BOB_DEVEL_VERSION=$4
PYVER=`echo $PYTHON_VERSION | sed -e 's/\.//'`
CONDA=${BASEDIR}/bin/conda

if [ -d ${BASEDIR}/envs/${NAME} ]; then
  ${CONDA} remove -n ${NAME} --all --yes
  if [ -d ${BASEDIR}/envs/${NAME} ]; then
    echo "[>>] Environment ${NAME} survived remove, brute force removing..."
    rm -rf ${BASEDIR}/envs/${NAME}
  fi
fi

echo "[>>] Creating environment ${NAME} for python ${PYTHON_VERSION} with bob dependencies..."
${CONDA} create --yes --name=${NAME} --override-channels --channel=http://www.idiap.ch/software/bob/conda --channel=defaults python=${PYTHON_VERSION} bob-devel=${BOB_DEVEL_VERSION}
echo "[>>] Bye!"
exit 0
